### Method

# Gtk ConstraintLayoutadd_constraint

#### Declaration [src]

    void
    gtk_constraint_layout_add_constraint (
      GtkConstraintLayout* layout,
      GtkConstraint* constraint
    )

#### Description [src]

Adds a constraint to the layout manager.

The `GtkConstraint:source` and `GtkConstraint:target` properties of `constraint` can be:

- set to `NULL` to indicate that the constraint refers to the widget using `layout`
- set to the `GtkWidget` using `layout`
- set to a child of the `GtkWidget` using `layout`
- set to a `GtkConstraintGuide` that is part of `layout`

The `layout` acquires the ownership of `constraint` after calling this function.

#### Parameters

`constraint`

  Type: `GtkConstraint`

  A `GtkConstraint`

  The instance takes ownership of the data, and is responsible for freeing it.